Package be.ehealth.business.mycarenetdomaincommons.domain

# Class CommonInput

java.lang.Object
be.ehealth.business.mycarenetdomaincommons.domain.CommonInput

public class CommonInput extends Object
Contains all data to be mapped to the mycarenet CommonInputType. The NIPReference variable is not provided since the careProvider should never fill this out. this data is added later on in the chain by the NIP/PIN cfr documentation from mycarenet :

     The common input is always the first child-element of the input-element and has the 'CommonInputType'.  This contains the information that applies to the all request records.
     A common record input is always the ‘preceding-sibling’ or each record.  A record is an individual request (or response).  In some services may group several individual requests into a single request but most service operations only support a single individual request and then the common record input is right behind the common input.

     The root type contains the info about the request, the origin and references.  The request indicates the type of request, currently only debug or not. InputReference is a reference filled by the requester (the care provider). NIPReference is a reference filled by the NIP-PIN platform and should therefore never be filled in.  These references are features of the message as a whole; a message may contain many records. These references are free text value (before v2.3 this was limited to 14 characters), they will be returned in the common record response.  When omitted, the value will also be omitted from the response.
     The origin indicates where the message originates from and consists of:
       Package: What software package did send it.
       SiteID (since v2.1): The ID of the site that makes the request.  See service catalogue for the allowed values per sector.
       Care Provider: Who was the beneficiary of the request (this is optional in the XSD but should almost always be provided).
       Sender (since v2.2): Who was the creator of the request (in most case this isn’t required)

     For those flows that have a flat file equivalent, this corresponds to the segment 100:
       100: specific for CareNet, is replaced by the 'To' of WS-Addressing
       101: specific for CareNet, is replaced by the 'From' of WS-Addressing
       102: Not part of common input, replaced by 'To' of WS-Addressing
       103: Replaced by 'Origin'-element (actual value in //CommonInput/Origin/CareProvider/Nihii/Value)
       105/106: Not part of common input but of XAdES when relevant
       107: InputReference, First char repeated in Request/IsTest

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CommonInput(Boolean isTest, Origin origin, String inputReference)`
  create the object with all required parameters.
  `CommonInput(Boolean isTest, Origin origin, String inputReference, List<Reference> references, List<Attribute> attributes)`
  create the object with all required parameters.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Attribute>`
  `getAttributes()`
  `String`
  `getInputReference()`
  `Origin`
  `getOrigin()`
  `List<Reference>`
  `getReferences()`
  `Boolean`
  `isTest()`
  `void`
  `setIsTest(Boolean isTest)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CommonInput

    public CommonInput(Boolean isTest, Origin origin, String inputReference)
    create the object with all required parameters.
    Parameters:
      `isTest` -
      `origin` -
      `inputReference` -

  - ### CommonInput

    public CommonInput(Boolean isTest, Origin origin, String inputReference, List<Reference> references, List<Attribute> attributes)
    create the object with all required parameters.
    Parameters:
      `isTest` -
      `origin` -
      `inputReference` -

- ## Method Details

  - ### isTest

    public Boolean isTest()
    Returns:
      the isTest

  - ### setIsTest

    public void setIsTest(Boolean isTest)

  - ### getOrigin

    public Origin getOrigin()
    Returns:
      the origin

  - ### getInputReference

    public String getInputReference()
    Returns:
      the inputReference

  - ### getReferences

    public List<Reference> getReferences()

  - ### getAttributes

    public List<Attribute> getAttributes()